Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.bpm
Class SeamExpressionEvaluator

    java.lang.Object
      org.jbpm.jpdl.el.ExpressionEvaluator
          org.jboss.seam.bpm.SeamExpressionEvaluator

    public class SeamExpressionEvaluator

extends org.jbpm.jpdl.el.ExpressionEvaluator

Plugs the JBoss EL expression language and Seam EL resolvers into jBPM. Note that this current implementation does not allow jBPM to see stuff defined only by the JSF ELResolvers.

Author:
  Gavin King, Pete Muir

Constructor Summary
`SeamExpressionEvaluator()`

Method Summary
`Object` | `evaluate(String expression, Class returnType, org.jbpm.jpdl.el.VariableResolver resolver, org.jbpm.jpdl.el.FunctionMapper mapper)`
`org.jbpm.jpdl.el.Expression` | `parseExpression(String expression, Class returnType, org.jbpm.jpdl.el.FunctionMapper mapper)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SeamExpressionEvaluator

    public SeamExpressionEvaluator()

Method Detail

### evaluate

    public Object evaluate(String expression,
                           Class returnType,
                           org.jbpm.jpdl.el.VariableResolver resolver,
                           org.jbpm.jpdl.el.FunctionMapper mapper)
                    throws org.jbpm.jpdl.el.ELException

  Specified by:
    `evaluate` in class `org.jbpm.jpdl.el.ExpressionEvaluator`
  Throws:
    `org.jbpm.jpdl.el.ELException`

### parseExpression

    public org.jbpm.jpdl.el.Expression parseExpression(String expression,
                                                       Class returnType,
                                                       org.jbpm.jpdl.el.FunctionMapper mapper)
                                                throws org.jbpm.jpdl.el.ELException

  Specified by:
    `parseExpression` in class `org.jbpm.jpdl.el.ExpressionEvaluator`
  Throws:
    `org.jbpm.jpdl.el.ELException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD